```toml
[advisory]
id = "RUSTSEC-2020-0033"
package = "alg_ds"
date = "2020-08-25"
url = "https://gitlab.com/dvshapkin/alg-ds/-/issues/1"
aliases = ["CVE-2020-36432", "GHSA-3vv3-frrq-6486"]
cvss = "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"

[versions]
patched = []
```

# Matrix::new() drops uninitialized memory

`Matrix::new()` internally calls `Matrix::fill_with()` which uses `*ptr = value` pattern to initialize the buffer.
This pattern assumes that there is an initialized struct at the address and drops it, which results in dropping of uninitialized struct.
