```toml
[advisory]
id = "RUSTSEC-2025-0005"
package = "grcov"
date = "2025-01-13"
url = "https://bugzilla.mozilla.org/show_bug.cgi?id=1917475"
categories = ["memory-corruption"]

[affected]
functions = { "grcov::covdir::get_coverage" = ["<=0.8.20"] }

[versions]
patched = [">0.8.20"]
```
# Out of bounds write triggered by crafted coverage data
Function `grcov::covdir::get_coverage` uses the `unsafe` function `get_unchecked_mut`
without validating that the index is in bounds.

This results in memory corruption, and could potentially allow arbitrary code execution
provided that an attacker can feed the tool crafted coverage data.
