```toml
[advisory]
id = "RUSTSEC-2020-0135"
package = "slock"
date = "2020-11-17"
url = "https://github.com/BrokenLamp/slock-rs/issues/2"
categories = ["memory-corruption", "thread-safety"]
aliases = ["CVE-2020-36455", "GHSA-83r8-p8v6-6gfm", "GHSA-mc36-5m36-hjh5"]
cvss = "CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H"

[versions]
patched = [">= 0.2.0"]
```

# Slock<T> allows sending non-Send types across thread boundaries

`Slock<T>` unconditionally implements `Send`/`Sync`.

Affected versions of this crate allows sending non-Send types to other threads,
which can lead to data races and memory corruption due to the data race.
