```toml
[advisory]
id = "RUSTSEC-2020-0027"
package = "traitobject"
aliases = ["CVE-2020-35881", "GHSA-j79j-cx3h-g27h"]
cvss = "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
categories = ["memory-corruption"]
date = "2020-06-01"
informational = "unsound"
url = "https://github.com/reem/rust-traitobject/issues/7"

[affected.functions]
"traitobject::data" = []
"traitobject::data_mut" = []

[versions]
patched = []
```

# traitobject assumes the layout of fat pointers

This crate gets the data pointer from fat pointers assuming that the first
element in a fat pointer is the data pointer. This is currently true, but
it may change in a future Rust version, leading to memory corruption.

This has been fixed in the master branch of the crate, but is has not
been released into crates.io.
