```toml
[advisory]
id = "CVE-2021-28878"
package = "std"
categories = ["memory-corruption"]
date = "2021-02-19"
url = "https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-28878"

[versions]
patched = [">= 1.52.0"]
unaffected = ["< 1.14.0"]
```

# Zip may call __iterator_get_unchecked twice with the same index

In the standard library in Rust before 1.52.0, the Zip implementation calls __iterator_get_unchecked() more than once for the same index (under certain conditions) when next_back() and next() are used together. This bug could lead to a memory safety violation due to an unmet safety requirement for the TrustedRandomAccess trait.
